| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
eax.h File Reference
`#include <wireshark.h>`

Go to the source code of this file.

## Classes
struct | tagMAC_T
| 4-byte MAC identifier used in EAX contexts. More...

## Macros
#define | EAX_MODE_CLEARTEXT_AUTH 1
#define | EAX_MODE_CIPHERTEXT_AUTH 2
#define | EAX_SIZEOF_KEY 16

## Typedefs
typedef struct tagMAC_T | MAC_T
| 4-byte MAC identifier used in EAX contexts.

## Functions
WS_DLL_PUBLIC bool | Eax_Decrypt (uint8_t *pN, uint8_t *pK, uint8_t *pC, uint32_t SizeN, uint32_t SizeK, uint32_t SizeC, MAC_T *pMac, uint8_t Mode)
| Decrypts cleartext data using EAX' mode (see ANSI Standard C12.22-2008).

## Detailed Description

Encryption and decryption routines implementing the EAX' encryption mode Copyright 2010, Edward J. Beroset, edwar.nosp@m.d.j..nosp@m.beros.nosp@m.et@u.nosp@m.s.els.nosp@m.ter..nosp@m.com

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ Eax_Decrypt()

WS_DLL_PUBLIC bool Eax_Decrypt | ( | uint8_t * | pN,
|  | uint8_t * | pK,
|  | uint8_t * | pC,
|  | uint32_t | SizeN,
|  | uint32_t | SizeK,
|  | uint32_t | SizeC,
|  | MAC_T * | pMac,
|  | uint8_t | Mode
| ) |  |

Decrypts cleartext data using EAX' mode (see ANSI Standard C12.22-2008).

Parameters

  [in] | pN | pointer to cleartext (canonified form)
  [in] | pK | pointer to secret key
  [in,out] | pC | pointer to ciphertext
  [in] | SizeN | byte length of cleartext (pN) buffer
  [in] | SizeK | byte length of secret key (pK)
  [in] | SizeC | byte length of ciphertext (pC) buffer
  [in] | pMac | four-byte Message Authentication Code
  [in] | Mode | EAX_MODE_CLEARTEXT_AUTH or EAX_MODE_CIPHERTEXT_AUTH

Returns
  true if message has been authenticated; false if not authenticated, invalid Mode or error

Decrypts cleartext data using EAX' mode (see ANSI Standard C12.22-2008).

Parameters

  [in] | pN | pointer to cleartext (cannonified form)
  [in] | pK | pointer to secret key
  [in,out] | pC | pointer to ciphertext
  [in] | SizeN | byte length of cleartext (pN) buffer
  [in] | SizeK | byte length of secret key (pK)
  [in] | SizeC | byte length of ciphertext (pC) buffer
  [in] | pMac | four-byte Message Authentication Code
  [in] | Mode | EAX_MODE_CLEARTEXT_AUTH or EAX_MODE_CIPHERTEXT_AUTH

Returns
  true if message has been authenticated; false if not authenticated, invalid Mode or error